%define	name	yafc
%define	version	0.6.5
%define	release	1
%define	prefix	/usr

Summary:	Yafc - yet another ftp client.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Internet
URL:		http://yafc.sourceforge.net/
Vendor:		Martin Hedenfalk <mhe@stacken.kth.se>
Source:		ftp://download.sourceforge.net/pub/sourceforge/yafc/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Yafc is yet another ftp client, similar to ftp(1).
It is an interactive interface to the FTP protocol.

FEATURES

* cached directory listings
* uses readline (tab completion, emacs/vi editing keys, history file, etc.)
* extensive tab completion
* multiple connections open
* aliases
* colored ls (ie, ls --color, uses $LS_COLORS like GNU ls)
* autologin and bookmarks
* Kerberos authentication support
* recursive get/put/rm/ls
* nohup mode get and put
* tagging (queueing) of files for later transferring
* automagically enters nohup-mode when SIGHUP received (in get and put)
* redirection to local command or file ('>', '>>' and '|')
* uses autoconf and automake
* proxy support
* more...

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{prefix} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%post
/sbin/install-info --info-dir=%{prefix}/info %{prefix}/info/yafc.info.gz

%preun
/sbin/install-info --info-dir=%{prefix}/info --remove yafc.info.gz

%files
%defattr(-,root,root)
%doc contrib BUGS COPYING NEWS README THANKS TODO inputrc.sample yafcrc.sample
%{prefix}/bin/yafc
%{prefix}/info/yafc.info*
%{prefix}/man/man1/yafc.1*
# %{prefix}/share/locale/*/LC_MESSAGES/yafc.mo

%changelog
* Fri Oct 20 2000 Ryan Weaver <ryanw@infohwy.com>
- I am nsure why linguas files are not installing, but there isn't but
  one so I am not too worried about it. Commented out that file listing.
  [yafc-0.6.5-1]
- changed default value for auto_bookmark to yes
- added option --type={ascii|binary} to cat
- forgot a fflush() in cat (cat didn't work on binary files) (thanks Decklin)
- fixed broken alias zpage in yafcrc.sample + added (b)zcat alias
- removed arguments to site command (thanks to Robert Hahn)
- 'get/put onefile -o othername' instead of 'get/put onefile -o otherdir'
  confused? look in the manual... (thanks to Skyper Sorg)
- use_passive_mode in config file was ignored (thanks to Ari Pollak)
- new option: transfer_xterm_string (thanks to Ari Pollak)
- removed swedish po-file (I don't have time to maintain it)
- check for circular include statements in config file
- bookmarks are now always kept in ~/.yafc/bookmarks
- cleanups; moved small generic funcs to utils.c
- even more manual updates
- protlevel is now updated in bookmarks

* Mon Oct 16 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.6.4-1]
- removed lib/setproctitle.[ch] due to licensing problems
- moved src/bashline.[ch] to lib/
- updated manpage
- more manual updates
- zcat removed (use 'cat | zcat' or 'cat | bunzip2 -c')

* Fri Oct 13 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.6.3-1]
- removed nokrb option in bookmarks
- added option --mechanism=MECH to open command (and removed --krb/--nokrb)
- always using private protlevel in kauth
- fix for DOS style paths (w/backslashes)
- some manual updates
- added per-url passive mode setting in bookmarks
- added per-url mechanism setting in bookmarks

* Fri Sep 15 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.6.2-1]
- sets nokrb option if AUTH unknown
- added bookmark --delete
- implemented luntag
- fixed bug in local taglist saving/loading
- fixed alias bug (segfault)
- DOS LIST-output directory filename bug fixed
- DOS LIST-output y2k issue fixed (now assumes 21th century if YY < 70)

* Fri Sep  1 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.6.1-1]
- bug in recursive put fixed (didn't create directories correctly)

  [yafc-0.6-1]
- fixed long-standing kerberos problems (now also supports NAT)
- configure.in cleanups
- --mask=GLOB and --rx-mask=REGEXP options (get, put and fxp)
  (transfers only files matching a pattern, useful in recursion)
- --dir-mask=GLOB and --dir-rx-mask=REGEXP options (get, put and fxp)
  (enters only directories matching a pattern, useful in recursion)
- auto bookmarking doesn't overwrite bookmarks w/different hosts
  but creates different versions
- Kerberos 5 support (Heimdal, through GSSAPI)
- FxP support (not thouroughly tested)

* Wed Aug 16 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.8-1]
- fixed segfault when listing unreadable directories
- #ifdef'd setproctitle calls

* Sun Aug 13 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.7-1]
- endless loop in rc.c fixed
- abbreviation for set-variables
- bug in DOS directory listing with filenames w/spaces
- removed C++-style comments in strq.c
- swapped order of -lreadline and -l{terminal lib} in configure.in
- removed --help option for cd command
- added a man page (Thanks to Decklin Foster)
- tag didn't ignore multiple copies of same filename
- better remote tilde path handling (ls ~ didn't work)
- added option --workdir=DIR for setting the working directory (default ~/.yafc)

* Thu Jul  6 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.6-1]
- added --help option for untag
- added *.md5 to ascii_transfer_mask
- now parses system-wide /etc/yafcrc on startup
  + doesn't create default ~/.yafc/yafcrc on first run
- rglob.c: didn't update directory cache properly
- segfault in get/put if connection timed out
- tag now ignores multiples copies of same filename
- removed the visual tag interface (it didn't work anyway)
- bookmark multiples are always replaced (instead of skipped)
- rfile.c: files in root directory had two slashes (//file instead of /file)
- transfer was aborted after suspend

  [yafc-0.5.5-1]
- only first alias in a multiple command command line was expanded
- fixed bug in switch command, arguments were ignored
- cat now supports wildcards

  [yafc-0.5.4-1]
- support for MacOS WebStar ftp server
- fixed the rels alias error from 0.5.3

* Thu May 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.3-1]
- info manual updates
- rc.c: empty string (ie "") in config file caused errors
- completion.c: completion breaks at ';'
- cache --touch now has optional directory argument(s)
- error in alias expansion parameters (%1,%*) when used
   with an alias including several commands
- yafcrc.sample: error in rels alias
- fixed buffer overflow in ftp reply

* Mon Jan 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.2-1]
* Mon Jan 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.2-1]
- Applied patch from Ryan Weaver for rpm spec file
- configure script unsets CDPATH variable
- info manual updates

* Mon Dec 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [yafc-0.5.1-1]
- yafc "resets" the xterm title to $TERM on exit/suspend
- get --preserve now also on directories
- get --preserve handles suid/sgid/sticky bits
- tried to fix problems with DOS-paths
- new option --clear to tag and ltag command
- local taglist is also saved
- yafcrc.sample: proxy hosts should be separated with colon (':')
- configure creates a yafc.spec file for rpm building (thanks to Ryan Weaver)

* Fri Dec 10 1999 Ryan Weaver <ryanw@infohwy.com>
- Sent patch to Author to generate spec file via configure

  [yafc-0.5.0-1]
- awful bug in redirection code fixed
- EPLF support (Easily Parsed LIST Format)
- quoting fixes
- made (mostly) all commands accept --help option

